Bug 1766638 - e2e should fail when there are alerts firing
Summary: e2e should fail when there are alerts firing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.0
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1767182
TreeView+ depends on / blocked
 
Reported: 2019-10-29 14:44 UTC by Tomáš Nožička
Modified: 2020-01-23 11:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:09:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24019 'None' 'closed' 'Bug 1766638: [MON-813] Refactor prometheus tests' 2019-11-27 09:08:52 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:10:11 UTC

Internal Links: 1767182

Description Tomáš Nožička 2019-10-29 14:44:29 UTC
Description of problem:

https://storage.googleapis.com/origin-ci-test/pr-logs/pull/openshift_cluster-kube-apiserver-operator/625/pull-ci-openshift-cluster-kube-apiserver-operator-master-e2e-aws/2869/artifacts/e2e-aws/metrics/prometheus.tar

shows alerts firing but it didn't fail e2e

previous attempt at fix was here btw. https://github.com/openshift/origin/pull/24005

Expected results:

e2e must fail on alerts firing, we can't ship a release that fires alert in default state

Comment 6 errata-xmlrpc 2020-01-23 11:09:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.